version: 1

containers:
  loop:
    image: lightninglabs/loop:v1.0.11.rc1
    environment:
      HOME: /data
    command:
      - /bin/loopd
      - --network={{plugins.bitcoin.info.network}}
      - --lnd.host="main.lnd.{{user}}.nirvati:10009"
      - --lnd.macaroonpath="/data/lnd/admin.macaroon"
      - --lnd.tlspath="/data/lnd/tls.cert"
      - --restlisten=0.0.0.0:8081
      - --datadir=/data/loop
    mounts:
      data:
        loop: /data
    internal_ports:
      8081: 8081
  boltz:
    image: boltz/boltz-client:2.3.0
    environment:
      HOME: /data
    mounts:
      data:
          boltz: /data
    command:
      - --lnd.host="main.lnd.{{user}}.nirvati"
      - --lnd.macaroon="/data/lnd/admin.macaroon"
      - --lnd.certificate="/data/lnd/tls.cert"
      - --rpc.rest.host="0.0.0.0"
      - --rpc.rest.port="9003"
    internal_ports:
      9003: 9003
  main:
    image: shahanafarooqui/rtl:v0.15.4
    ingress_port: 3000
    environment:
      PORT: "3000"
      RTL_CONFIG_PATH: /data
      CHANNEL_BACKUP_PATH: /data/backup
      LN_IMPLEMENTATION: LND
      LN_SERVER_URL: https://main.lnd.{{user}}.nirvati:8080
      MACAROON_PATH: /data/lnd
      SWAP_SERVER_URL: https://loop.ride-the-lightning.{{user}}.nirvati:8081
      SWAP_MACAROON_PATH: /loop/loop/{{plugins.bitcoin.info.network}}
      BOLTZ_SERVER_URL: https://boltz.ride-the-lightning.{{user}}.nirvati:9003
      BOLTZ_MACAROON_PATH: /boltz/.boltz/macaroons
    mounts:
      data:
        loop: /loop
        boltz: /boltz
        rtl: /data
